cURL
curl --request POST \
--url https://api.maesn.dev/accounting/payments \
--header 'Content-Type: application/json' \
--header 'X-ACCOUNT-KEY: <x-account-key>' \
--header 'X-API-KEY: <x-api-key>' \
--data '
{
"currency": "EUR",
"description": "Payment of bill",
"documentType": "BILL_BOOKING_PROPOSAL",
"exchangeRate": 1,
"fiscalYear": "2025",
"journalCode": "30",
"journalId": "8df2df10-0fae-40ad-9d22-f25e5ab0ba23",
"paymentDate": "2025-01-01",
"paymentLines": [
{
"accountId": "4a6b5e92-a261-4be9-814d-84dec9636c16",
"amount": 100,
"contactName": "John Doe",
"contactId": "6532708-12e3-4ff5-bf39-02698e959963",
"customerId": "6532708-12e3-4ff5-bf39-02698e959963",
"description": "payment of bill",
"invoiceId": "a44f5af1-8310-4f97-b945-26e35288b35f",
"paymentDate": "2025-01-01",
"supplierId": "6532708-12e3-4ff5-bf39-02698e959963"
}
],
"paymentType": "CREDITOR"
}
'import requests
url = "https://api.maesn.dev/accounting/payments"
payload = {
"currency": "EUR",
"description": "Payment of bill",
"documentType": "BILL_BOOKING_PROPOSAL",
"exchangeRate": 1,
"fiscalYear": "2025",
"journalCode": "30",
"journalId": "8df2df10-0fae-40ad-9d22-f25e5ab0ba23",
"paymentDate": "2025-01-01",
"paymentLines": [
{
"accountId": "4a6b5e92-a261-4be9-814d-84dec9636c16",
"amount": 100,
"contactName": "John Doe",
"contactId": "6532708-12e3-4ff5-bf39-02698e959963",
"customerId": "6532708-12e3-4ff5-bf39-02698e959963",
"description": "payment of bill",
"invoiceId": "a44f5af1-8310-4f97-b945-26e35288b35f",
"paymentDate": "2025-01-01",
"supplierId": "6532708-12e3-4ff5-bf39-02698e959963"
}
],
"paymentType": "CREDITOR"
}
headers = {
"X-API-KEY": "<x-api-key>",
"X-ACCOUNT-KEY": "<x-account-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-API-KEY': '<x-api-key>',
'X-ACCOUNT-KEY': '<x-account-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
currency: 'EUR',
description: 'Payment of bill',
documentType: 'BILL_BOOKING_PROPOSAL',
exchangeRate: 1,
fiscalYear: '2025',
journalCode: '30',
journalId: '8df2df10-0fae-40ad-9d22-f25e5ab0ba23',
paymentDate: '2025-01-01',
paymentLines: [
{
accountId: '4a6b5e92-a261-4be9-814d-84dec9636c16',
amount: 100,
contactName: 'John Doe',
contactId: '6532708-12e3-4ff5-bf39-02698e959963',
customerId: '6532708-12e3-4ff5-bf39-02698e959963',
description: 'payment of bill',
invoiceId: 'a44f5af1-8310-4f97-b945-26e35288b35f',
paymentDate: '2025-01-01',
supplierId: '6532708-12e3-4ff5-bf39-02698e959963'
}
],
paymentType: 'CREDITOR'
})
};
fetch('https://api.maesn.dev/accounting/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
}
},
"data": {
"id": "94a5ab44-3218-4492-8b5d-a31bc0288c0b",
"currency": "EUR",
"createdDate": "2021-01-01T00:00:00Z",
"description": "Payment of bill",
"documentType": "BILL_BOOKING_PROPOSAL",
"exchangeRate": 1,
"fiscalYear": "2025",
"journalCode": "30",
"journalId": "8df2df10-0fae-40ad-9d22-f25e5ab0ba23",
"updatedDate": "2021-01-01T00:00:00Z",
"paymentDate": "2025-01-01",
"paymentLines": [
{
"accountId": "4a6b5e92-a261-4be9-814d-84dec9636c16",
"amount": 100,
"contactName": "John Doe",
"contactId": "6532708-12e3-4ff5-bf39-02698e959963",
"customerId": "6532708-12e3-4ff5-bf39-02698e959963",
"description": "payment of bill",
"invoiceId": "a44f5af1-8310-4f97-b945-26e35288b35f",
"paymentDate": "2025-01-01",
"supplierId": "6532708-12e3-4ff5-bf39-02698e959963"
}
],
"paymentType": "CREDITOR"
}
}Payments
Create payment
POST
/
accounting
/
payments
cURL
Field support per integration

Business Central
Business Central
If you’re not using the Interactive Authentication Flow, make sure the query parameters
environmentName and companyId are correctly populated.
You can obtain these values by using the GET Environments and GET Companies endpoints available under the Authentication section.Supported request fields:
string
required
Code of the supplier or customer payment journal in Business Central (e.g.
CASH).PaymentLine[]
required
Show properties
Show properties
string
required
GUID of the supplier or customer in Business Central. The type is auto-detected — if the ID matches a customer, a customer payment is created; if it matches a vendor, a vendor payment is created.
number
required
string
required
For date format details visit the Standardized Data section
string
GUID of the purchase or sales invoice to apply the payment to.
string

Exact Online
Exact Online
If you’re not using the Interactive Authentication Flow, make sure the query parameter
companyId is correctly populated.
You can obtain this value by using the GET Companies endpoint available under the Authentication section.Supported request fields:
string
number
string
required

Lexware Office
Lexware Office

Sevdesk
Sevdesk

Snelstart
Snelstart
Payments are created as bank bookings (
bankboekingen) in Snelstart and are always applied to an existing booking proposal.
Use the id returned by the POST Booking Proposals endpoint as the invoiceId of the payment line.Supported request fields:
string
enum
required
Available options:
INVOICE_BOOKING_PROPOSAL, BILL_BOOKING_PROPOSALINVOICE_BOOKING_PROPOSAL books the payment against a sales booking proposal and is recorded as an amount received.
BILL_BOOKING_PROPOSAL books it against a purchase booking proposal and is recorded as an amount paid out.string
required
Id of the daybook (
dagboek) the payment is booked in.To get the journal id, you can use the GET /Journals endpoint.string
required
For date format details visit the Standardized Data section

Visma e-conomic
Visma e-conomic
Headers
API key
Example:
"example value"
Account key
Example:
"example value"
Body
application/json
Available options:
AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYR, BZD, CAD, CDF, CHF, CLP, CNY, COP, CRC, CUC, CVE, CZK, DJF, DKK, DOP, DZD, EEK, EGP, ERN, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GQE, GTQ, GYD, HKD, HNL, HRK, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LTL, LVL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRO, MUR, MVR, MWK, MXN, MYR, MZM, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, SAR, SBD, SCR, SDG, SEK, SGD, SHP, SLL, SOS, SRD, SYP, SZL, THB, TJS, TMT, TND, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VEB, VND, VUV, WST, XAF, XCD, XDR, XOF, XPF, YER, ZAR, ZMK, ZWR Example:
"EUR"
Example:
"Payment of bill"
Available options:
INVOICE, BILL, BOOKING_PROPOSAL, INVOICE_BOOKING_PROPOSAL, BILL_BOOKING_PROPOSAL Example:
"BILL_BOOKING_PROPOSAL"
Example:
1
Example:
"2025"
Example:
"30"
Example:
"8df2df10-0fae-40ad-9d22-f25e5ab0ba23"
Example:
"2025-01-01"
Show child attributes
Show child attributes
Example:
"CREDITOR"
Last modified on September 10, 2026
Was this page helpful?